List Simulation Suites

Returns the simulation suites for the authenticated organization.

Authentication

AuthorizationBearer
Authenticate server-side requests with a private Vapi API key. Create or copy a key from the [Vapi Dashboard](https://dashboard.vapi.ai) and send it in the `Authorization` header as `Bearer <token>`. Keep private API keys out of client-side code and public repositories.

Query parameters

namestringOptional
Search by simulation suite name
pagedoubleOptional>=1
This is the page number to return. Defaults to 1.
sortOrderenumOptional
This is the sort order for pagination. Defaults to 'DESC'.
Allowed values:
sortByenumOptional
This is the column to sort by. Defaults to 'createdAt'.
Allowed values:
limitdoubleOptional0-1000
This is the maximum number of items to return. Defaults to 100.
createdAtGtdatetimeOptional
This will return items where the createdAt is greater than the specified value.
createdAtLtdatetimeOptional
This will return items where the createdAt is less than the specified value.
createdAtGedatetimeOptional
This will return items where the createdAt is greater than or equal to the specified value.
createdAtLedatetimeOptional
This will return items where the createdAt is less than or equal to the specified value.
updatedAtGtdatetimeOptional
This will return items where the updatedAt is greater than the specified value.
updatedAtLtdatetimeOptional
This will return items where the updatedAt is less than the specified value.
updatedAtGedatetimeOptional
This will return items where the updatedAt is greater than or equal to the specified value.
updatedAtLedatetimeOptional
This will return items where the updatedAt is less than or equal to the specified value.

Response

idstringformat: "uuid"
This is the unique identifier for the simulation suite.
orgIdstringformat: "uuid"
This is the unique identifier for the organization this suite belongs to.
createdAtdatetime

This is the ISO 8601 date-time string of when the suite was created.

updatedAtdatetime

This is the ISO 8601 date-time string of when the suite was last updated.

namestring<=80 characters
This is the name of the simulation suite.
simulationIdslist of strings
This is the list of simulation IDs in this suite.
targetAssignmentslist of objects
This is the ordered list of assistant or squad assignments for the suite.
slackWebhookUrlstringOptional
This is the Slack webhook URL for notifications.
pathstring or nullOptionalformat: "/^[a-zA-Z0-9][a-zA-Z0-9._-]*(?:\/[a-zA-Z0-9][a-zA-Z0-9._-]*){0,2}$/"<=255 characters

Optional folder path for organizing simulation suites. Supports up to 3 levels (e.g., “dept/feature/variant”). Maps to GitOps resource folder structure.